Connection
Date: 2015-09-19

javax.jms

## Interface Connection

- All Known Subinterfaces:
    QueueConnection, TopicConnection, XAConnection, XAQueueConnection, XATopicConnection

      public interface Connection

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `ConnectionConsumer` | `createConnectionConsumer(Destination destination, java.lang.String messageSelector, ServerSessionPool sessionPool, int maxMessages)`
    `ConnectionConsumer` | `createDurableConnectionConsumer(Topic topic, java.lang.String subscriptionName, java.lang.String messageSelector, ServerSessionPool sessionPool, int maxMessages)`
    `Session` | `createSession(boolean transacted, int acknowledgeMode)`
    `java.lang.String` | `getClientID()`
    `ExceptionListener` | `getExceptionListener()`
    `ConnectionMetaData` | `getMetaData()`
    `void` | `setClientID(java.lang.String clientID)`
    `void` | `setExceptionListener(ExceptionListener listener)`
    `void` | `start()`
    `void` | `stop()`

- - ### Method Detail

    - #### createSession

          Session createSession(boolean transacted,
                              int acknowledgeMode)
                                throws JMSException

      Throws:
        `JMSException`

    - #### getClientID

          java.lang.String getClientID()
                                       throws JMSException

      Throws:
        `JMSException`

    - #### setClientID

          void setClientID(java.lang.String clientID)
                           throws JMSException

      Throws:
        `JMSException`

    - #### getMetaData

          ConnectionMetaData getMetaData()
                                         throws JMSException

      Throws:
        `JMSException`

    - #### getExceptionListener

          ExceptionListener getExceptionListener()
                                                 throws JMSException

      Throws:
        `JMSException`

    - #### setExceptionListener

          void setExceptionListener(ExceptionListener listener)
                                    throws JMSException

      Throws:
        `JMSException`

    - #### start

          void start()
                     throws JMSException

      Throws:
        `JMSException`

    - #### stop

          void stop()
                    throws JMSException

      Throws:
        `JMSException`

    - #### close

          void close()
                     throws JMSException

      Throws:
        `JMSException`

    - #### createConnectionConsumer

          ConnectionConsumer createConnectionConsumer(Destination destination,
                                                    java.lang.String messageSelector,
                                                    ServerSessionPool sessionPool,
                                                    int maxMessages)
                                                      throws JMSException

      Throws:
        `JMSException`

    - #### createDurableConnectionConsumer

          ConnectionConsumer createDurableConnectionConsumer(Topic topic,
                                                           java.lang.String subscriptionName,
                                                           java.lang.String messageSelector,
                                                           ServerSessionPool sessionPool,
                                                           int maxMessages)
                                                             throws JMSException

      Throws:
        `JMSException`